Subject: RE: [BUG] PREFIX environment variable ignored by git config --system

From: <[email-masked]>
Date: Wed, 29 Jan 2025 12:01:19 -0500

On January 29, 2025 11:42 AM, Junio C Hamano. Wrote:
><[email-masked]> writes:
>
>> Thank you for filling out a Git bug report!
>>
>> Please answer the following questions to help us understand your issue.
>>
>> What did you do before the bug happened? (Steps to reproduce your
>> issue) export PREFIX=/home/randall git config --system --list
>>
>> What did you expect to happen? (Expected behavior) Git should use
>> ${PREFIX}/etc/gitconfig instead of the build location to
>
>But that is now how PREFIX works, as far as I remember.  PREFIX is a
build-time
>thing.
>
>Perhaps you are looking for RUNTIME_PREFIX build-time option?  I do not
know
>how well it is maintained these days, and if it allows you to futz with the
paths at
>runtime (without _moving_ the executable and all other installation
material en
>masse), though.

The documentation on the Environment Configuration page seems to imply that
these are run-time variables, not build time, which should come from the
config.mak.uname. In any event, I'm in a situation where I do not have the
security to create the actual ../etc directory so am trying to test an
alternate
location. Some of the customers I am supporting have experienced this also.

Any ideas on handling an execution time override of the system location,
instead of
just using GIT_CONFIG_NOSYSTEM to turn off --system?

I would gladly add GIT_CONFIG_SYSTEM=path with a little guidance, if that's
what it
comes down to.

--Randall